# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Feb 14 22:41:15 2023
# ------------------------------------------------

package:
  name: xopen
  version: 1.7.0
source:
  sha256: 901f9c8298e95ed74767a4bd76d9f4cf71d8de27b8cf296ac3e7bc1c11520d9f
  url: https://pypi.io/packages/source/x/xopen/xopen-1.7.0.tar.gz
build:
  number: '1'
  script: /home/conda/feedstock_root/build_artifacts/xopen_1676414557466/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv
  string: py310hff52083_1
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - attrs 22.2.0 pyh71513ae_0
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.12.7 ha878542_0
    - colorama 0.4.6 pyhd8ed1ab_0
    - exceptiongroup 1.1.0 pyhd8ed1ab_0
    - iniconfig 2.0.0 pyhd8ed1ab_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.8 h0b41bf4_0
    - packaging 23.0 pyhd8ed1ab_0
    - pip 23.0 pyhd8ed1ab_0
    - pluggy 1.0.0 pyhd8ed1ab_5
    - pytest 7.2.1 pyhd8ed1ab_0
    - python 3.10.9 he550d4f_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 67.3.1 pyhd8ed1ab_0
    - setuptools-scm 7.1.0 pyhd8ed1ab_0
    - setuptools_scm 7.1.0 hd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tomli 2.0.1 pyhd8ed1ab_0
    - typing-extensions 4.4.0 hd8ed1ab_0
    - typing_extensions 4.4.0 pyha770c72_0
    - tzdata 2022g h191b570_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - isa-l >=2.30
    - pbzip2
    - pigz
    - python >=3.10,<3.11.0a0
    - python-isal >=1.0.1
    - python_abi 3.10.* *_cp310
    - zstandard
    - zstd
test:
  imports:
    - xopen
about:
  dev_url: https://github.com/pycompression/xopen/
  doc_url: https://github.com/pycompression/xopen/
  home: https://github.com/pycompression/xopen/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Open compressed files transparently in Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - marcelm
    - rhpvorderman
